Delete requests mappings matching metadata
curl --request POST \
--url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/requests/remove-by-metadata \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"matchesJsonPath": {
"expression": "$.outer",
"equalToJson": "{ \"inner\": 42 }"
}
}
'import requests
url = "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/requests/remove-by-metadata"
payload = { "matchesJsonPath": {
"expression": "$.outer",
"equalToJson": "{ \"inner\": 42 }"
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({matchesJsonPath: {expression: '$.outer', equalToJson: '{ "inner": 42 }'}})
};
fetch('https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/requests/remove-by-metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requests": [
{
"url": "/my/url",
"absoluteUrl": "http://mydomain.com/my/url",
"method": "GET",
"headers": {
"Accept-Language": "en-us,en;q=0.5",
"User-Agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0) Gecko/20100101 Firefox/9.0",
"Accept": "image/png,image/*;q=0.8,*/*;q=0.5"
},
"body": "",
"browserProxyRequest": true,
"loggedDate": 1339083581823,
"loggedDateString": "2012-06-07 16:39:41"
},
{
"url": "/my/other/url",
"absoluteUrl": "http://my.other.domain.com/my/other/url",
"method": "POST",
"headers": {
"Accept": "text/plain",
"Content-Type": "text/plain"
},
"body": "My text",
"browserProxyRequest": false,
"loggedDate": 1339083581823,
"loggedDateString": "2012-06-07 16:39:41"
}
]
}Requests
Delete requests mappings matching metadata
POST
/
v1
/
mock-apis
/
{mockApiId}
/
requests
/
remove-by-metadata
Delete requests mappings matching metadata
Path Parameters
The ID of the Mock API
Required string length:
5 - 10Example:
"jjl8y"
Body
application/json
- String equals
- Binary equals
- String contains
- String does not contain
- Regular expression match
- Negative regular expression match
- NOT modifier
- Before datetime
- Before datetime
- Before datetime
- JSON equals
- JSONPath match
- XML equality
- XPath match
- JSON Schema match
- Absent matcher
- Logical AND matcher
- Logical AND matcher
- Has exactly multi value matcher
- Has exactly multi value matcher
Response
200 - application/json
Removed request details
⌘I